<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.xxfc.platform.activity.mapper.TicketCollectionRecordMapper" >
  <resultMap id="BaseResultMap" type="com.xxfc.platform.activity.entity.TicketCollectionRecord" >
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" property="id" jdbcType="INTEGER" />
    <result column="name" property="name" jdbcType="VARCHAR" />
    <result column="phone" property="phone" jdbcType="VARCHAR" />
    <result column="crt_time" property="crtTime" jdbcType="TIMESTAMP" />
    <result column="upd_time" property="updTime" jdbcType="TIMESTAMP" />
    <result column="type" property="type" jdbcType="BIT" />
  </resultMap>

  <select id="selectAllByType" resultType="com.xxfc.platform.activity.entity.TicketCollectionRecord" parameterType="com.xxfc.platform.activity.entity.TicketCollectionRecord">
      select * from ticket_collection_record where type = #{type}
  </select>
</mapper>